/*
 * @Author: dminyi 1301963064@qq.com
 * @Date: 2024-09-13 10:37:48
 * @LastEditors: dminyi 1301963064@qq.com
 * @LastEditTime: 2024-09-13 10:46:34
 * @FilePath: \gzDyh\gz-customerSystem\src\views\register\matterDetail\personCard.jsx
 * @Description: 
 */

import React from 'react';
import {  Modal } from '@arco-design/web-react';


const PersonCard = (props) => {
  return (
    <>
      <Modal visible={props.personView} onCancel={props.handleCancel} title='工作人员信息' centered footer={null}>
        <table border="1" align="center" cellpadding="5" className="table">
          <tr>
            <th bgcolor="#F7F8FA" className="table-title" width="120">姓名</th>
            <td width='380'><div style={{ display: 'flex' }}><div>{props.personData?.trueName}</div></div></td>
            <th bgcolor="#F7F8FA" className="table-title" width="120">登录账号</th>
            <td width='380'>{props.personData?.acc}</td>
          </tr>
          <tr>
            <th bgcolor="#F7F8FA" className="table-title">手机号码</th>
            <td>{props.personData?.mobile}</td>
            <th bgcolor="#F7F8FA" className="table-title">工作电话</th>
            <td>-</td>
          </tr>
          <tr>
            <th bgcolor="#F7F8FA" className="table-title">所属部门</th>
            <td>{props.personData?.unitName}</td>
            <th bgcolor="#F7F8FA" className="table-title">职务</th>
            <td>{props.personData?.userRoles}</td>
          </tr>
        </table>
      </Modal>
    </>
  )
}

export default PersonCard;
